/*
 * Copyright (c) 2008-2018 Haulmont.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.haulmont.cuba.core.app;

import org.dom4j.Document;

/**
 * Implement this interface if you want to modify {@code persistence.xml} generated by the framework.
 * <p>
 * Implementation class must be registered in the {@code cuba.persistenceXmlPostProcessor} app property.
 */
public interface PersistenceXmlPostProcessor {

    /**
     * Invoked by the framework after generation of {@code persistence.xml}.
     * @param persistenceXml content of {@code persistence.xml} as a Dom4j document
     */
    void process(Document persistenceXml);
}
