/*
 * Copyright (c) 2008-2016 Haulmont.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package com.haulmont.cuba.gui.app.core.entitydiff;

import com.haulmont.cuba.core.entity.diff.EntityClassPropertyDiff;
import com.haulmont.cuba.core.entity.diff.EntityCollectionPropertyDiff;
import com.haulmont.cuba.core.entity.diff.EntityPropertyDiff;

import javax.annotation.Nullable;
import java.util.function.Function;

public class DiffIconProvider implements Function<EntityPropertyDiff, String> {

    @Nullable
    @Override
    public String apply(EntityPropertyDiff entity) {
        if (entity instanceof EntityClassPropertyDiff) {
            switch (entity.getItemState()) {
                case Added:
                    return "icons/plus.png";

                case Modified:
                    return "icons/edit.png";

                case Normal:
                    if (((EntityClassPropertyDiff) entity).isLinkChange()) {
                        return "icons/chain.png";
                    } else {
                        return "icons/edit.png";
                    }

                case Removed:
                    return "icons/minus.png";
            }
        } else if (entity instanceof EntityCollectionPropertyDiff) {
            return "icons/category.png";
        }

        return null;
    }
}